## compiz 0.9.14.0+19.04.20190217.1-0ubuntu1

=== debian/changelog ===
compiz (1:0.9.14.0+19.04.20190217.1-0ubuntu1) disco; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Code moved (again) to git as default vcs
  * debian/control:
    - Update Vcs-Git and Homepage tags
  * debian/gbp.conf:
    - Update branches and tags templates
  * debian/source/format:
    - Update version to 3.0 (native)

  [ Dmitry Shachnev ]
  * Bump upstream version number to 0.9.14.0.
  * Fix GCC -Wstringop-truncation error.
  * Fix window grabbing by title or ID, based on a patch by Alexei Sorokin.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 17 Feb 2019 19:14:22 +0000

compiz (1:0.9.13.1+19.04.20190208-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Add support for loading configuration from multiple files.
  * Remove unity configuration, will be added back in unity.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 08 Feb 2019 11:47:39 +0000

compiz (1:0.9.13.1+19.04.20190207.2-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Remove no longer needed button-layout workaround.
  * Fix many PyGTKDeprecationWarning warnings.
  * Fix protobuf warning by explicitly specifying proto2 syntax.
  * Set Cython language_level directive.
  * compizconfig: remove unused MATE integration

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 07 Feb 2019 14:33:04 +0000

compiz (1:0.9.13.1+19.04.20190205.1-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Clean up CMake files, and bump required version to 3.10.
  * Fix fallout from deprecation fixes.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 05 Feb 2019 21:00:07 +0000

compiz (1:0.9.13.1+19.04.20190205-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Remove KDE support.
  * Fix GNOME building.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 05 Feb 2019 13:11:50 +0000

compiz (1:0.9.13.1+19.04.20190204.1-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Fix visual-bell-type GSettings values.
  * Fix some deprecation warnings.
  * Fix regression in CCSM from Python 3 port. (LP: #1814462)

  [ Khurshid Alam ]
  * Transition from gnome-settings-daemon-schemas to gnome-settings-
    daemon-common. (LP: #1811118)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 04 Feb 2019 21:17:20 +0000

compiz (1:0.9.13.1+19.04.20190103-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Port CCSM to Python 3. (LP: #1004592, #1310794)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 03 Jan 2019 18:56:40 +0000

compiz (1:0.9.13.1+18.10.20180930-0ubuntu2) disco; urgency=medium

  * No-change rebuild against latest protobuf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Nov 2018 15:02:37 -0500

compiz (1:0.9.13.1+18.10.20180930-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * Fix missing icons in CCSM. (LP: #1794765)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 30 Sep 2018 16:55:04 +0000

compiz (1:0.9.13.1+18.10.20180905-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * Run tests.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 05 Sep 2018 06:43:58 +0000

compiz (1:0.9.13.1+18.10.20180827-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * No-change rebuild against CMake 3.12

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 27 Aug 2018 13:24:35 +0000

compiz (1:0.9.13.1+18.10.20180727-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * Don't set CMP0000 policy to OLD.
  * Don't set CMP0003 policy.
  * Don't set CMP0005 policy to OLD.
  * Don't set CMP0011 policy to OLD.
  * Don't set CMP0022 policy to OLD.
  * Don't set CMP0002 policy to OLD.
  * Drop xig support. (LP: #1100128)
  * Remove useless warnings.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 27 Jul 2018 08:19:53 +0000

compiz (1:0.9.13.1+18.10.20180723-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * Fix build errors with GCC 8.1.
  * Make tests build again with Google Test 1.8.0 and GCC 8.1.
  * Build tests.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 23 Jul 2018 17:15:27 +0000

compiz (1:0.9.13.1+18.10.20180717-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * decor: don't use hard-coded path as default command.
  * ccsm: remove python 2.4 support.
  * ccsm: force icon size.
  * compizconfig: remove tabs.
  * ccsm: don't use star imports.
  * ccsm: fix few typos.
  * ccsm: add borders in few places.
  * ccsm: fix KeyError warnings.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 17 Jul 2018 11:20:11 +0000

compiz (1:0.9.13.1+18.10.20180716-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * ccsm: port to PyGObject and GTK+ 3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 16 Jul 2018 11:21:08 +0000

compiz (1:0.9.13.1+18.10.20180711.1-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * ccsm: fix two typos.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 11 Jul 2018 18:43:20 +0000

compiz (1:0.9.13.1+18.10.20180711-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * ccsm: prepare for PyGObject

  [ Samuel Thibault ]
  * Do not enable "Target Focused Window on Specific Zoom" by default
    (LP: #1763692)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 11 Jul 2018 15:31:07 +0000

compiz (1:0.9.13.1+18.10.20180707-0ubuntu1) cosmic; urgency=medium

  [ Samuel Thibault ]
  * Update lintian override for compiz-core: bumped ABI.
  * rules: Include architecture.mk instead of defining DEB_* variables.
  * Add "Change" to "Zoom Speed" and "Zoom Timestep"
  * showmouse: enable by default Guides instead of Emitters (LP:
    #1763032)
  * Add missing plugin description files to potfiles (LP: #1722732)

  [ Cyril Brulebois ]
  * Fix missing attributions in debian/copyright (Closes: #848545):
     - List copyright holders for all po/* files.
     - List copyright holders for some cmake files.
     - List copyright holders for some gtk window decorator files.
     - List copyright holder for some animationplus files.
     - List copyright holders for borrowed files in libdecoration.

