=== debian/control ===
--- 
+++ 
@@ -313,4 +313,3 @@
          ${misc:Depends},
          ${python3:Depends},
          gir1.2-gdkpixbuf-2.0,
-         gir1.2-gtk-3.0,
