## compiz 0.9.14.0+19.10.20190918-0ubuntu1

=== debian/changelog ===
compiz (1:0.9.14.0+19.10.20190918-0ubuntu1) eoan; urgency=medium

  * Fix build failure with GCC 9 because of format-truncation warning.
    (LP: #1843974)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 18 Sep 2019 13:05:28 +0000
