## compiz 0.9.14.0+19.10.20190918-0ubuntu2

=== debian/changelog ===
compiz (1:0.9.14.0+19.10.20190918-0ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:38:37 +0000
