## compiz 0.9.14.1%2B20.04.20200211-0ubuntu1%2B10.0trisquel1

=== debian/changelog ===
compiz (1:0.9.14.1+20.04.20200211-0ubuntu1+10.0trisquel1) nabia; urgency=medium

  * Remove recomendation to use fglrx (non-free software)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 11 Aug 2021 17:32:14 +0000

compiz (1:0.9.14.1+20.04.20200211-0ubuntu1) focal; urgency=medium

  * No-change rebuild to pick up cmake 3.16 path.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 11 Feb 2020 12:54:26 +0000

compiz (1:0.9.14.1+20.04.20200130-0ubuntu1) focal; urgency=medium

  [ Alberts Muktupāvels ]
  * Add support for _GNOME_WM_STRUT_AREA.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 30 Jan 2020 12:06:21 +0000

compiz (1:0.9.14.1+20.04.20200129-0ubuntu1) focal; urgency=medium

  [ Alberts Muktupāvels ]
  * Add support for _GTK_WORKAREAS_Dn.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 29 Jan 2020 11:42:37 +0000

compiz (1:0.9.14.1+20.04.20200117-0ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:25:42 +0000

compiz (1:0.9.14.1+20.04.20200117-0ubuntu1) focal; urgency=medium

  [ Alberts Muktupāvels ]
  * don't change pkg-config search path (LP: #1859778)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 17 Jan 2020 18:25:29 +0000

compiz (1:0.9.14.1+20.04.20191127-0ubuntu1) focal; urgency=medium

  * Bump upstream version number to 0.9.14.1.
  * Import Spanish, German and Turkish translations from Launchpad.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 27 Nov 2019 13:24:31 +0000
