## compiz 0.9.14.1%2B20.04.20220820-0ubuntu1%2B10.0trisquel1

=== debian/changelog ===
compiz (1:0.9.14.1+20.04.20220820-0ubuntu1+10.0trisquel1) nabia; urgency=medium

  * Remove recomendation to use fglrx (non-free software)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 21 Nov 2022 12:39:15 +0000

compiz (1:0.9.14.1+20.04.20220820-0ubuntu1) focal; urgency=medium

  * event: use correct window when deciding if it should appear focused.
    Patch by Alberts Muktupāvels (LP: #1986681)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 20 Aug 2022 14:02:27 +0000
