=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: compiz
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
 Build-Depends: cmake (>= 3.10.0),
                debhelper (>= 9~),
                dh-python,
                dh-translations,
-               googletest (>= 1.8.0),
+               libgtest-dev (>= 1.8.0),
+               libgmock-dev (>= 1.8.0),
                intltool,
                libtool,
                pkg-config (>= 0.29.1),
@@ -312,4 +313,3 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         gir1.2-gdkpixbuf-2.0,
