=== debian/changelog ===
compiz (1:0.9.14.1+22.04.20220820-0ubuntu1) jammy; urgency=medium

  * event: use correct window when deciding if it should appear focused.
    Patch by Alberts Muktupāvels (LP: #1986681)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 20 Aug 2022 04:28:36 +0000

compiz (1:0.9.14.1+22.04.20211217-0ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:24:08 +0000

compiz (1:0.9.14.1+22.04.20211217-0ubuntu1) jammy; urgency=medium

  [ Daniel Kondor ]
  * core: EventManager::removeWatchFd() should remove the watch from the
    Glib::MainContext (LP: #1879975)

  [ Sam Spilsbury ]
  * blur: Set precision level in fragment shader in GL_ES case.
  * Enable EGL_EXT_buffer_age on USE_GLES where it is advertised.
  * blur: Use GLFramebufferObject::rebind with the returned framebuffer.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 17 Dec 2021 12:06:09 +0000

compiz (1:0.9.14.1+22.04.20211026-0ubuntu1) jammy; urgency=medium

  * Increase string buffer size to fix GCC format-truncation error.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 26 Oct 2021 15:43:43 +0000

compiz (1:0.9.14.1+21.10.20210501-0ubuntu1) impish; urgency=medium

  * Remove unused empty private structs.
  * Update FSF addresses. (LP: #1923481)
  * Build the compizconfig Python extension using distutils. Bump
    required CMake version to 3.17 to make this possible. (LP: #1926046)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 01 May 2021 17:29:43 +0000

compiz (1:0.9.14.1+20.10.20200813-0ubuntu4) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:31:18 +0100

compiz (1:0.9.14.1+20.10.20200813-0ubuntu3) hirsute; urgency=medium

  * Build-depend on python3-dev instead of python3-all-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Oct 2020 11:03:40 +0100

compiz (1:0.9.14.1+20.10.20200813-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 10:56:28 +0100

compiz (1:0.9.14.1+20.10.20200813-0ubuntu1) groovy; urgency=medium

  * Use unsigned long for getting/setting _NET_WM_USER_TIME property, to
    fix tests on s390x.
  * Add support for CMake Unity builds (aka Jumbo builds). (LP:
    #1882792)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 13 Aug 2020 06:58:29 +0000

compiz (1:0.9.14.1+20.10.20200526-0ubuntu5) groovy; urgency=medium

  * Revert last upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 15:51:18 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu4) groovy; urgency=medium

  * Disable tests on s390x, ungoing investigation

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jul 2020 18:05:08 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu3) groovy; urgency=medium

  * Initialize 3 arrays to zero to silence a new gcc-10 warning
  * Move window_type_frames to extern in the header file, fixing a build
    failure with gcc-10

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jul 2020 11:39:45 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu2) groovy; urgency=medium

  * Rebuild against new libprotobuf23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jul 2020 10:13:56 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu1) groovy; urgency=medium

  [ Daniel Kondor ]
  * Make annotate plugin D-Bus interface working, and clean up code.
    (LP: #1878545)
  * Use dbus_bool_t instead of bool.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 26 May 2020 16:38:36 +0000

compiz (1:0.9.14.1+20.10.20200514-0ubuntu1) groovy; urgency=medium

  * No-change rebuild against libmetacity3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 14 May 2020 09:04:56 +0000

compiz (1:0.9.14.1+20.10.20200427-0ubuntu1) groovy; urgency=medium

  [ Alberts Muktupāvels ]
  * ccsm: remove HeaderStyleSet (LP: #1863561)
  * window-decorator: remove shade, stick and above buttons

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 27 Apr 2020 10:22:52 +0000
