## compiz 0.9.14.1%2B22.04.20220820-0ubuntu1%2B11.0trisquel1

=== src/string/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${compiz_SOURCE_DIR}/include
  ${CMAKE_CURRENT_SOURCE_DIR}/include
  
  ${Boost_INCLUDE_DIRS}
)

SET( PUBLIC_HEADERS )
SET( PRIVATE_HEADERS )

SET( SRCS ${CMAKE_CURRENT_SOURCE_DIR}/src/string.cpp )

ADD_LIBRARY( 
  compiz_string STATIC
  
  ${SRCS}
  
  ${PUBLIC_HEADERS}
  ${PRIVATE_HEADERS}
)

IF (COMPIZ_BUILD_TESTING)
    ADD_SUBDIRECTORY( ${CMAKE_CURRENT_SOURCE_DIR}/tests )
ENDIF (COMPIZ_BUILD_TESTING)

SET_TARGET_PROPERTIES(
  compiz_string PROPERTIES
  PUBLIC_HEADER "${PUBLIC_HEADERS}"
)

install (FILES ${PUBLIC_HEADERS} DESTINATION ${COMPIZ_CORE_INCLUDE_DIR})
