=== debian/changelog ===
compiz (1:0.9.14.1+22.04.20220820-0ubuntu1+11.0trisquel1) aramo; urgency=medium

  * Remove recomendation to use fglrx (non-free software)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 06 Sep 2022 12:37:30 +0000
