=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
-Build-Depends: cmake (>= 3.10.0),
+Build-Depends: cmake (>= 3.17.0),
                debhelper (>= 9~),
                dh-python,
                dh-translations,
@@ -53,7 +53,7 @@
                libx11-xcb-dev,
                libprotobuf-dev,
                protobuf-compiler,
-               python3-all-dev,
+               python3-dev,
                cython3,
                gsettings-desktop-schemas-dev,
                xserver-xorg-dev (>= 0.7.0),
